//
//  FavPresenter.swift
//  UpaxMovie
//
//  Created Imo on 01/03/24.
//  Copyright © 2024 ___ORGANIZATIONNAME___. All rights reserved.
//
//  Template generated by UPAX Zeus
//

import UIKit

class FavPresenter {
    weak private var view: FavViewProtocol?
    var interactor: FavInteractorInputProtocol?
    private let router: FavWireframeProtocol

    init(interface: FavViewProtocol, interactor: FavInteractorInputProtocol?, router: FavWireframeProtocol) {
        self.view = interface
        self.interactor = interactor
        self.router = router
    }
}

extension FavPresenter: FavPresenterProtocol {
    func close() {
        router.close()
    }
}

extension FavPresenter: FavInteractorOutputProtocol {
    
}
